%define ver 1.2
%define prefix /usr

Summary: GtkGLArea is an OpenGL widget for GTK+ GUI toolkit.
Name: gtkglarea
Version: %{ver}
Release: 1
Copyright: LGPL
Group: X11/Libraries
Source: gtkglarea-%{ver}.tar.gz
BuildRoot: /tmp/gtkglarea
URL: http://www.student.oulu.fi/~jlof/gtkglarea/

%description
Just as GTK+ is build on top of GDK, GtkGLArea is built on top of gdkgl which
is basically wrapper around GLX functions. The widget itself is very similar
to GtkDrawinigArea widget and adds only three extra functions.

Lower level gdkgl functions make it easy to render on any widget that has
OpenGL capable visual, rendering to off-screen pixmaps is also supported.

Related project which may iterest those who use GTK-- is GtkGLArea--. It is a
C++ wrapper for gtkglarea written by Karl Nelson <kenelson@ece.ucdavis.edu>.


%package devel
Summary: GtkGLArea is an OpenGL widget for GTK+ GUI toolkit.
Group: X11/Libraries
Requires: gtkglarea

%description devel
Libraries and includes files you can use for GtkGLArea development

%changelog
* Tue Feb 09 1999 Pablo Saratxaga <srtxg@chanae.alphanet.ch>

- First try at an RPM


%prep
%setup
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "%{prefix}" != "/usr" ] ; then
if ! grep %{prefix}/lib /etc/ld.so.conf > /dev/null ; then
  echo "%{prefix}/lib" >> /etc/ld.so.conf
fi
fi

/sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README docs/*.txt
%{prefix}/lib/lib*.so.*

%files devel
%defattr(-, root, root)

%{prefix}/lib/lib*.so
%{prefix}/lib/*.a
%{prefix}/include/*
